Package be.vlaanderen.mercurius.mohm.common.v7

# Class PushApplicationViewRequestType

java.lang.Object
be.vlaanderen.mercurius.mohm.common.v7.PushApplicationViewRequestType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class PushApplicationViewRequestType extends Object implements Serializable
Groeperend element voor de push van een beperkt of volledig beeld van de aanvraag naar de verstrekker.

Java class for PushApplicationViewRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PushApplicationViewRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="VSBReference" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}VSBReferenceType"/>
             <choice>
               <element name="PushViewBandagist" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}PushApplicationViewBandagistType"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PushApplicationViewRequestType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PushApplicationViewBandagistType`
  `getPushViewBandagist()`
  Groeperend element met volledig beeld van de aanvraag voor de verstrekker.
  `String`
  `getVSBReference()`
  Unieke identificatie van de aanvraag waarvoor het beeld verstuurd wordt.
  `void`
  `setPushViewBandagist(PushApplicationViewBandagistType value)`
  Sets the value of the pushViewBandagist property.
  `void`
  `setVSBReference(String value)`
  Sets the value of the vsbReference property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PushApplicationViewRequestType

    public PushApplicationViewRequestType()

- ## Method Details

  - ### getVSBReference

    public String getVSBReference()
    Unieke identificatie van de aanvraag waarvoor het beeld verstuurd wordt.
    Returns:
      possible object is `String`

  - ### setVSBReference

    public void setVSBReference(String value)
    Sets the value of the vsbReference property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getVSBReference()`

  - ### getPushViewBandagist

    public PushApplicationViewBandagistType getPushViewBandagist()
    Groeperend element met volledig beeld van de aanvraag voor de verstrekker.
    Returns:
      possible object is `PushApplicationViewBandagistType`

  - ### setPushViewBandagist

    public void setPushViewBandagist(PushApplicationViewBandagistType value)
    Sets the value of the pushViewBandagist property.
    Parameters:
      `value` - allowed object is `PushApplicationViewBandagistType`
    See Also:
      - `getPushViewBandagist()`